curl --request POST \
--url https://api.zapier.com/actions/v1/stored-actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"connection_id": "019320ab-0000-7000-8000-abcdef012345",
"selected_api": "SplitwiseCLIAPI@1.0.0",
"action_key": "new_contact",
"action_type": "read",
"inputs": {
"first_name": "John",
"last_name": "Doe"
}
}
}
'import requests
url = "https://api.zapier.com/actions/v1/stored-actions"
payload = { "data": {
"connection_id": "019320ab-0000-7000-8000-abcdef012345",
"selected_api": "SplitwiseCLIAPI@1.0.0",
"action_key": "new_contact",
"action_type": "read",
"inputs": {
"first_name": "John",
"last_name": "Doe"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
connection_id: '019320ab-0000-7000-8000-abcdef012345',
selected_api: 'SplitwiseCLIAPI@1.0.0',
action_key: 'new_contact',
action_type: 'read',
inputs: {first_name: 'John', last_name: 'Doe'}
}
})
};
fetch('https://api.zapier.com/actions/v1/stored-actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "stored_action",
"id": "123e4567-e89b-12d3-a456-426614174000"
}{
"errors": [
{
"status": 400,
"code": "bad_request",
"title": "Bad Request",
"detail": "Improperly formatted or incompleted request",
"source": null,
"meta": {}
}
]
}{
"errors": [
{
"status": 403,
"code": "permission_denied",
"detail": "User does not have enough permissions to perform action"
}
]
}{
"errors": [
{
"status": 429,
"code": "too_many_requests",
"detail": "Rate limit exceeded. Too many requests."
}
]
}{
"errors": [
{
"status": 500,
"code": "external_service_error",
"detail": "An error occurred with an external service."
}
]
}{
"errors": [
{
"status": 503,
"code": "service_unavaiable",
"detail": "Service is temporarily unavailable"
}
]
}Create a stored action
Create Stored Action
Creates a new stored action entry that can then be executed from a simpler call to
/stored-actions with just the stored action id.
This will not execute a StoredAction.
This is an async process and will only respond with the id of the stored action and other meta data, and it is the callers responsibility to poll GET /stored-actions//runs/ with the run id returned from POST /stored-actions//run to fetch the results after executing a stored action.
The triple (selected_api, action_type, action_key) is required to create a stored action. Only core actions are supported; external and custom (App Extension) actions cannot be created as stored actions via this endpoint.
Note on connection_id: Other Zapier APIs may expose the same
identifier under the field name authentication_id. The value is the
same UUID — pass it here under the connection_id key.
Authorizations
OAuth 2.0 authentication.
Body
The shape of the payload that must be sent to create a Stored Action.
Only the triple (selected_api, action_type, action_key) is accepted —
action_id is intentionally not exposed on this endpoint.
Show child attributes
Show child attributes
Response
A StoredAction record was successfully created.
The response returned from creating a Stored Action record.
Was this page helpful?